Subject: bug#13133: 24.2.90; scroll-conservatively is too coarse a setting

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Dec 2012 09:09:59 +0200

> Date: Tue, 11 Dec 2012 06:07:11 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 10.12.2012 12:52, Eli Zaretskii wrote:
> >> Date: Mon, 10 Dec 2012 12:28:58 +0400
> >> From: Dmitry Gutov <[email-masked]>
> >> CC: [email-masked]
> >>
> >> Like I mentioned, I don't want C-M-e/C-M-a to recenter. Why do you think
> >> it's TRT?
> >
> > Because you generally want to see the entire definition of the API,
> > not just the opening brace or paren.
> 
> Not sure if I understand you here. For example, if I'm in an Elisp 
> function, I can press C-M-a to go to its beginning, and the whole 
> definition (including arglist and docstring) will be visible. If the 
> value of scroll-conservatively is small, though, the function body may 
> be cut in half.
> Or do you specifically mean non-lisp languages where the docstring is 
> above the function definition?

Yes, the latter.

> >> As far as I'm concerned, recentering might be fine when we go to the end
> >> of a small function (it will fit on the screen anyway), but a larger
> >> function, which might have fit on the full screen, will be cut in half.
> >
> > IMO, C-M-e/C-M-a is not for observing the whole function.  You may be
> > looking for a separate feature, or maybe a modification of an existing
> > feature.
> 
> I don't think you can reasonably decide what they are for.

I didn't decide anything, I just gave you my interpretation.  That's
what "IMO" is for.

> > Can you cook up a test case?  I'd like to see why this happens.  (If
> > showing this requires injection of specific amount of text into the
> > compilation buffer, you could use 'cat' or some similar program to do
> > so, instead of actually running a compiler.)
> 
> Here's one:

Thanks, I'll take a look.